`timescale 1 ns/ 1 ns
module TestBench;

  reg CLK, RESET, D;
  wire Q;
  
  Flip_Flop Test(.CLK(CLK), .RESET(RESET), .D(D), .Q(Q));

  always 
    #10 CLK = ~CLK;
  
  initial
  begin
    RESET = 1'b1; CLK = 1'b0; D = 1'b0;
    #5  D = 1'b1;
    #10 D = 1'b0;
    #20 D = 1'b1;
    #25 RESET = 1'b0;
    #20 RESET = 1'b1;
    #20 $stop;
  end
  
endmodule
