module SW_Matrix(CLK, RESET, P, SW, LED);

  input CLK, RESET;
  input [3:0] SW;

  output [4:0] LED;
  output P;

  reg [3:0] LED;
 
  assign P = 1;

  always @(posedge CLK or negedge RESET)
  begin
    if (!RESET) LED <= 0;
    else
      begin
      case(SW)
        4'b1000:LED <= 1;	// PSW1
        4'b0100:LED <= 5;	// PSW5
        4'b0010:LED <= 9;	// PSW9
        4'b0001:LED <= 13;	// PSW13
      endcase
      end
  end

endmodule
